Bug 1302615 - UnboundLocalError: local variable 'bar' referenced before assignment when building from URLs
UnboundLocalError: local variable 'bar' referenced before assignment when bui...
Status: CLOSED ERRATA
Product: Copr
Classification: Community
Component: cli (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: clime
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 04:35 EST by clime
Modified: 2016-05-16 18:25 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-16 18:25:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clime 2016-01-28 04:35:28 EST
Description:
clime@coprbox ~/copr/cli/man $ copr-cli build motionpaint http://clime.cz/prunerepo-1.1/prunerepo-1.1-1.fc23.src.rpm
Traceback (most recent call last):
  File "/usr/bin/copr-cli", line 9, in <module>
    load_entry_point('copr-cli==1.46', 'console_scripts', 'copr-cli')()
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 429, in main
    getattr(commands, arg.func)(arg)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 65, in wrapper
    return func(self, args)
  File "/usr/lib/python2.7/site-packages/copr_cli/main.py", line 177, in action_build
    bar.finish()
UnboundLocalError: local variable 'bar' referenced before assignment

Version-Release number of selected component (if applicable): HEAD

Additional info:
Happens only when building from URLs
Comment 1 clime 2016-01-28 05:01:02 EST
Fixed by 0b6d38a08b
Comment 2 Fedora Update System 2016-02-03 09:07:48 EST
python-copr-1.65-1.fc23 copr-cli-1.47-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 3 Fedora Update System 2016-02-03 09:07:50 EST
python-copr-1.65-1.el6 copr-cli-1.47-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 4 Fedora Update System 2016-02-03 09:08:13 EST
python-copr-1.65-1.el7 copr-cli-1.47-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 5 Fedora Update System 2016-02-03 09:08:14 EST
python-copr-1.65-1.fc22 copr-cli-1.47-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 6 Fedora Update System 2016-02-03 17:19:32 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0b304178f6
Comment 7 Fedora Update System 2016-02-03 17:23:18 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c11c38ade2
Comment 8 Fedora Update System 2016-02-03 17:59:28 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b8100b8c0e
Comment 9 Fedora Update System 2016-02-03 18:25:16 EST
copr-cli-1.47-1.fc22, python-copr-1.65-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc476e069
Comment 10 Miroslav Suchý 2016-02-04 03:58:22 EST
This fix has been just deployed to production.
Comment 11 Fedora Update System 2016-02-07 00:23:08 EST
copr-cli-1.47-1.fc23, python-copr-1.65-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-20 17:58:05 EST
copr-cli-1.47-1.el7, python-copr-1.65-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2016-02-20 18:55:08 EST
copr-cli-1.47-1.el6, python-copr-1.65-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2016-05-05 03:01:27 EDT
python-copr-1.68-1.fc22 copr-cli-1.50-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 15 Fedora Update System 2016-05-06 05:23:06 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-83199bf70e
Comment 16 Fedora Update System 2016-05-16 18:24:51 EDT
copr-cli-1.50-1.fc22, python-copr-1.68-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.